#ifndef __FAD_SHAPE_H
#define __FAD_SHAPE_H
#include "fad.types.h"

#define SHAPE_RECORD_RENDER_TRUE 0
#define SHAPE_RECORD_RENDER_FALSE -1

#define SHAPE_RECORD_PARSE_TRUE 0
#define SHAPE_RECORD_PARSE_FALSE -1

#define SHAPE_RECORD_RENDER_LS  0x00
#define SHAPE_RECORD_RENDER_FS0 0x01
#define SHAPE_RECORD_RENDER_FS1 0x02

s32_t style_shape_decode(fad_frame_t* frame, fad_stream_t* s);

s32_t shape_record_parse(bits_t* bits, shape_record_t* sr);

void shape_record_free(shape_record_t* sr);

u8_t shape_record_do_render(shape_record_t* sr, fad_render_t* render, dl_node_t *node);

#endif
