#ifndef __FAD_SOUND_H
#define __FAD_SOUND_H
#include "fad.types.h"

typedef struct {
  fad_object_t base;
  u8_t  attr;
  u32_t nsize;
  u8_t* data;
} event_sound_t;

s32_t event_sound_decode(fad_frame_t* frame, fad_stream_t* s);

s32_t stream_sound_head_decode(fad_frame_t* frame, fad_stream_t* s);

s32_t stream_sound_block_decode(fad_frame_t* frame, fad_stream_t* s);

void fad_sound_render_mpeg3 (fad_render_t *render, u8_t *data_ptr, u8_t attr, s32_t nsize, struct mad_frame *mad_frame, struct mad_synth *mad_synth, struct mad_stream *mad_stream );

void fad_sound_render_adpcm (fad_render_t *render, u8_t *data_ptr, u8_t attr, s32_t nsize);

void fad_sound_render_raw (fad_render_t *render, u8_t *data_ptr, u8_t attr, s32_t nsize);

#endif

