#ifndef __FAD_TAGS_H
#define __FAD_TAGS_H

/* Tag IDs (modify from swfdec) */
#define TAG_END                  0
#define TAG_SHOWFRAME            1
#define TAG_DEFINESHAPE          2
#define TAG_FREECHARACTER        3
#define TAG_PLACEOBJECT          4
#define TAG_REMOVEOBJECT         5
#define TAG_DEFINEBITS           6
#define TAG_DEFINEBITSJPEG       6
#define TAG_DEFINEBUTTON         7
#define TAG_JPEGTABLES           8
#define TAG_SETBACKGROUNDCOLOR   9
#define TAG_DEFINEFONT           10
#define TAG_DEFINETEXT           11
#define TAG_DOACTION             12
#define TAG_DEFINEFONTINFO       13
#define TAG_DEFINESOUND          14      /* Event sound tags. */
#define TAG_STARTSOUND           15
#define TAG_DEFINEBUTTONSOUND    17
#define TAG_SOUNDSTREAMHEAD      18
#define TAG_SOUNDSTREAMBLOCK     19
#define TAG_DEFINEBITSLOSSLESS   20      /* A bitmap using lossless zlib compression. */
#define TAG_DEFINEBITSJPEG2      21      /* A bitmap using an internal JPEG compression table. */
#define TAG_DEFINESHAPE2         22
#define TAG_DEFINEBUTTONCXFORM   23
#define TAG_PROTECT              24      /* This file should not be importable for editing. */
#define TAG_PLACEOBJECT2         26      /* The new style place w/ alpha color transform and name. */
#define TAG_REMOVEOBJECT2        28      /* A more compact remove object that omits the character tag (just depth). */
#define TAG_DEFINESHAPE3         32      /* A shape V3 includes alpha values. */
#define TAG_DEFINETEXT2          33      /* A text V2 includes alpha values. */
#define TAG_DEFINEBUTTON2        34      /* A button V2 includes color transform, alpha and multiple actions */
#define TAG_DEFINEBITSJPEG3      35      /* A JPEG bitmap with alpha info. */
#define TAG_DEFINEBITSLOSSLESS2  36      /* A lossless bitmap with alpha info. */
#define TAG_DEFINEEDITTEXT       37
#define TAG_DEFINEMOVIE          38
#define TAG_DEFINESPRITE         39      /* Define a sequence of tags that describe the behavior of a sprite. */
#define TAG_NAMECHARACTER        40      /* Name a character definition, character id and a string, (used for buttons, bitmaps, sprites and sounds). */
#define TAG_SERIALNUMBER         41
#define TAG_GENERATORTEXT        42      /* contains an id */
#define TAG_FRAMELABEL           43      /* A string label for the current frame. */
#define TAG_SOUNDSTREAMHEAD2     45      /* For lossless streaming sound, should not have needed this... */
#define TAG_DEFINEMORPHSHAPE     46      /* A morph shape definition */
#define TAG_DEFINEFONT2          48
#define TAG_TEMPLATECOMMAND      49
#define TAG_GENERATOR3           51
#define TAG_EXTERNALFONT         52
#define TAG_EXPORTASSETS		     56
#define TAG_IMPORTASSETS		     57
#define TAG_ENABLEDEBUGGER	     58
#define TAG_DOINITACTION		     59
#define TAG_DEFINEVIDEOSTREAM    60
#define TAG_VIDEOFRAME		       61
#define TAG_DEFINEFONTINFO2      62
#define TAG_MX4                  63
#define TAG_ENABLEDEBUGGER2      64
#define TAG_SCRIPTLIMIT          65
#define TAG_SETTABINDEX          66
#define TAG_ID_MAX               66

#endif
